org.gradle.api.reporting.dependencies

## Class HtmlDependencyReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.reporting.dependencies.HtmlDependencyReportTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Reporting<DependencyReportContainer>, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class HtmlDependencyReportTask
      extends org.gradle.api.internal.ConventionTask
      implements Reporting<DependencyReportContainer>

  Generates an HTML dependency report. This report combines the features of the ASCII dependency report and those of the ASCII dependency insight report. For a given project, it generates a tree of the dependencies of every configuration, and each dependency can be clicked to show the insight of this dependency.

  This task generates a report for the task's containing project by default. But it can also generate a report for multiple projects, by setting the value of the `projects` property. Here's how to generate an HTML dependency report for all the projects of a multi-project build, for example:

       htmlDependencyReport {
           projects = project.allprojects
       }

  The report is generated in the `build/reports/project/dependencies` directory by default. This can also be changed by setting the `reports.html.destination` property:

       htmlDependencyReport {
           reports.html.destination = file("build/reports/project/dependencies")
       }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDependencyReportTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate()`
    `ObjectFactory` | `getObjectFactory()` Injects and returns an instance of `ObjectFactory`.
    `Set<Project>` | `getProjects()` Returns the set of projects to generate a report for.
    `DependencyReportContainer` | `getReports()` A `ReportContainer` instance.
    `protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator` | `getVersionComparator()`
    `protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme` | `getVersionSelectorScheme()`
    `DependencyReportContainer` | `reports(Action<? super DependencyReportContainer> configureAction)` Allow configuration of the report container by closure.
    `DependencyReportContainer` | `reports(Closure closure)` Allow configuration of the report container by closure.
    `void` | `setProjects(Set<Project> projects)` Specifies the set of projects to generate this report for.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlDependencyReportTask

          public HtmlDependencyReportTask()

  - ### Method Detail

    - #### getReports

          public DependencyReportContainer getReports()

      Description copied from interface: `Reporting`
      A `ReportContainer` instance.

      Implementors specify a specific implementation of `ReportContainer` that describes the types of reports that are available.

      Specified by:
        `getReports` in interface `Reporting<DependencyReportContainer>`
      Returns:
        The report container

    - #### reports

          public DependencyReportContainer reports(Closure closure)

      Description copied from interface: `Reporting`
      Allow configuration of the report container by closure.

           reports {
             html {
               enabled false
             }
             xml.destination "build/reports/myReport.xml"
           }

      Specified by:
        `reports` in interface `Reporting<DependencyReportContainer>`
      Parameters:
        `closure` - The configuration
      Returns:
        The report container

    - #### reports

          public DependencyReportContainer reports(Action<? super DependencyReportContainer> configureAction)

      Description copied from interface: `Reporting`
      Allow configuration of the report container by closure.

           reports {
             html {
               enabled false
             }
             xml.destination "build/reports/myReport.xml"
           }

      Specified by:
        `reports` in interface `Reporting<DependencyReportContainer>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The report container

    - #### getObjectFactory

          @Inject
          public ObjectFactory getObjectFactory()

      Injects and returns an instance of `ObjectFactory`.
      Since:
        4.2

    - #### getVersionSelectorScheme

          @Inject
          protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme getVersionSelectorScheme()

    - #### getVersionComparator

          @Inject
          protected org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator getVersionComparator()

    - #### generate

          public void generate()

    - #### getProjects

          @Internal
          public Set<Project> getProjects()

      Returns the set of projects to generate a report for. By default, the report is generated for the task's containing project.
      Returns:
        The set of files.

    - #### setProjects

          public void setProjects(Set<Project> projects)

      Specifies the set of projects to generate this report for.
      Parameters:
        `projects` - The set of projects. Must not be null.